import React from 'react';
import EmptyCells from '../EmptyCells/EmptyCells';
import FilterCell from '../FilterCell/FilterCell';
const FilterRow = ({ columns, dispatch, groupColumnsCount, }) => {
    return (React.createElement("tr", { className: 'ka-filter-row ka-tr' },
        React.createElement(EmptyCells, { count: groupColumnsCount }),
        columns.map((column) => {
            return (React.createElement(FilterCell, { key: column.key, column: column, dispatch: dispatch }));
        })));
};
export default FilterRow;
