import React from 'react';
import defaultOptions from '../../defaultOptions';
import { ActionType } from '../../enums';
import { isEmpty } from '../../Utils/CommonUtils';
const FilterRowBoolean = ({ column, dispatch, }) => {
    const value = column.filterRowValue;
    return (React.createElement("input", { autoFocus: true, className: defaultOptions.css.checkbox, type: 'checkbox', ref: (elem) => elem && (elem.indeterminate = isEmpty(value)), checked: value || false, onChange: (event) => {
            let filterRowValue = event.currentTarget.checked;
            if (value === false) {
                if (filterRowValue === true) {
                    filterRowValue = undefined;
                }
            }
            const updatedColumn = Object.assign(Object.assign({}, column), { filterRowValue });
            dispatch(ActionType.ChangeFilterRow, { column: updatedColumn });
        } }));
};
export default FilterRowBoolean;
