import React from 'react';
import defaultOptions from '../../defaultOptions';
import { ActionType } from '../../enums';
const FilterRowString = ({ column, dispatch, }) => {
    return (React.createElement("input", { type: 'text', className: defaultOptions.css.textInput, value: column.filterRowValue || '', onChange: (event) => {
            const updatedColumn = Object.assign(Object.assign({}, column), { filterRowValue: event.currentTarget.value });
            dispatch(ActionType.ChangeFilterRow, { column: updatedColumn });
        } }));
};
export default FilterRowString;
