import * as React from 'react';
import defaultOptions from '../../defaultOptions';
import { ActionType } from '../../enums';
import TableBodyContent from '../TableBodyContent/TableBodyContent';
const TableBody = (props) => {
    const { dispatch } = props;
    return (React.createElement("tbody", { className: defaultOptions.css.tbody, onScroll: (event) => {
            dispatch(ActionType.ScrollTable, {
                scrollLeft: event.currentTarget.scrollLeft,
                scrollTop: event.currentTarget.scrollTop,
                timeStamp: event.timeStamp,
            });
        } },
        React.createElement(TableBodyContent, Object.assign({}, props))));
};
export default TableBody;
