import React from 'react';
import NoDataRow from '../NoDataRow/NoDataRow';
import VirtualizedRows from '../VirtualizedRows/VirtualizedRows';
const TableBodyContent = (props) => {
    const { data, } = props;
    if (!data.length && props.noDataRow) {
        return React.createElement(NoDataRow, Object.assign({}, props, { noDataRow: props.noDataRow }));
    }
    return (React.createElement(VirtualizedRows, Object.assign({}, props)));
};
export default TableBodyContent;
