import React from 'react';
import { DataType } from '../../enums';
import CellEditorBoolean from '../CellEditorBoolean/CellEditorBoolean';
import CellEditorDate from '../CellEditorDate/CellEditorDate';
import CellEditorNumber from '../CellEditorNumber/CellEditorNumber';
import CellEditorString from '../CellEditorString/CellEditorString';
const CellEditorDataType = (props) => {
    switch (props.column.dataType) {
        case DataType.Boolean: return React.createElement(CellEditorBoolean, Object.assign({}, props));
        case DataType.Date: return React.createElement(CellEditorDate, Object.assign({}, props));
        case DataType.Number: return React.createElement(CellEditorNumber, Object.assign({}, props));
        default: return React.createElement(CellEditorString, Object.assign({}, props));
    }
};
export default CellEditorDataType;
