import * as React from 'react';
import FilterRowDataType from '../FilterRowDataType/FilterRowDataType';
const FilterCell = (props) => {
    const { column: { style, filterRowCell }, } = props;
    return (React.createElement("td", { style: style, className: 'ka-thead-cell ka-filter-row-cell' }, filterRowCell ? filterRowCell(props) :
        (React.createElement(FilterRowDataType, Object.assign({}, props)))));
};
export default FilterCell;
