import React from 'react';
import { DataType } from '../../enums';
import FilterRowBoolean from '../FilterRowBoolean/FilterRowBoolean';
import FilterRowDate from '../FilterRowDate/FilterRowDate';
import FilterRowNumber from '../FilterRowNumber/FilterRowNumber';
import FilterRowString from '../FilterRowString/FilterRowString';
const FilterRowDataType = (props) => {
    switch (props.column.dataType) {
        case DataType.Boolean: return React.createElement(FilterRowBoolean, Object.assign({}, props));
        case DataType.Date: return React.createElement(FilterRowDate, Object.assign({}, props));
        case DataType.Number: return React.createElement(FilterRowNumber, Object.assign({}, props));
        default: return React.createElement(FilterRowString, Object.assign({}, props));
    }
};
export default FilterRowDataType;
