import React from 'react';
import defaultOptions from '../../defaultOptions';
import { ActionType } from '../../enums';
const FilterRowNumber = ({ column, dispatch, }) => {
    const value = column.filterRowValue;
    return (React.createElement("input", { className: defaultOptions.css.numberInput, type: 'number', value: value === null || value === undefined ? '' : value, onChange: (event) => {
            const filterRowValue = event.currentTarget.value !== '' ? Number(event.currentTarget.value) : null;
            const updatedColumn = Object.assign(Object.assign({}, column), { filterRowValue });
            dispatch(ActionType.ChangeFilterRow, { column: updatedColumn });
        } }));
};
export default FilterRowNumber;
