import React from 'react';
import defaultOptions from '../../defaultOptions';
import EmptyCells from '../EmptyCells/EmptyCells';
import HeadCell from '../HeadCell/HeadCell';
const HeadRow = ({ columns, groupColumnsCount, dispatch, sortingMode, }) => {
    return (React.createElement("tr", { className: defaultOptions.css.theadRow },
        React.createElement(EmptyCells, { count: groupColumnsCount }),
        columns.map((column) => {
            return (React.createElement(HeadCell, { key: column.key, column: column, dispatch: dispatch, sortingMode: sortingMode }));
        })));
};
export default HeadRow;
